diff --git a/src/Lunr/Gravity/Database/DatabaseAccessObject.php b/src/Lunr/Gravity/Database/DatabaseAccessObject.php
index 234a78a959d5697c5fa3bbed8ef21b0347a5a0d0..a8a8b1ecd2b8e9ecbf1c4d5975214a11ecffca9f 100644
--- a/src/Lunr/Gravity/Database/DatabaseAccessObject.php
+++ b/src/Lunr/Gravity/Database/DatabaseAccessObject.php
@@ -35,7 +35,7 @@ abstract class DatabaseAccessObject implements DataAccessObjectInterface
 
     /**
      * Shared instance of a Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -49,7 +49,7 @@ abstract class DatabaseAccessObject implements DataAccessObjectInterface
      * Constructor.
      *
      * @param DatabaseConnection     $connection Shared instance of a database connection class
-     * @param LoggerInterface        $logger     Shared instance of a Logger class
+     * @param Logger                 $logger     Shared instance of a Logger class
      * @param DatabaseConnectionPool $pool       Shared instance of a database connection pool, NULL by default
      */
     public function __construct($connection, $logger, $pool = NULL)
diff --git a/src/Lunr/Gravity/Database/DatabaseConnection.php b/src/Lunr/Gravity/Database/DatabaseConnection.php
index 2ec7c2a2d697e176d251d0b134c2c273426b5e2e..afeed1bde58b9ce3e90d86f4493ce46560e37186 100644
--- a/src/Lunr/Gravity/Database/DatabaseConnection.php
+++ b/src/Lunr/Gravity/Database/DatabaseConnection.php
@@ -39,7 +39,7 @@ abstract class DatabaseConnection
 
     /**
      * Shared instance of a Logger class
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -52,8 +52,8 @@ abstract class DatabaseConnection
     /**
      * Constructor.
      *
-     * @param Configuration   $configuration Shared instance of the configuration class
-     * @param LoggerInterface $logger        Shared instance of a logger class
+     * @param Configuration $configuration Shared instance of the configuration class
+     * @param Logger        $logger        Shared instance of a logger class
      */
     public function __construct($configuration, $logger)
     {
diff --git a/src/Lunr/Gravity/Database/DatabaseConnectionPool.php b/src/Lunr/Gravity/Database/DatabaseConnectionPool.php
index 03301b5f3a6f29a4d34ef36eafd7107e361076df..9edd02ad7dc34f09fa79774539b46b250807120b 100644
--- a/src/Lunr/Gravity/Database/DatabaseConnectionPool.php
+++ b/src/Lunr/Gravity/Database/DatabaseConnectionPool.php
@@ -29,7 +29,7 @@ class DatabaseConnectionPool
 
     /**
      * Shared instance of a Logger class
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -48,8 +48,8 @@ class DatabaseConnectionPool
     /**
      * Constructor.
      *
-     * @param Configuration   $configuration Shared instance of the configuration class
-     * @param LoggerInterface $logger        Shared instance of a logger class
+     * @param Configuration $configuration Shared instance of the configuration class
+     * @param Logger        $logger        Shared instance of a logger class
      */
     public function __construct($configuration, $logger)
     {
diff --git a/src/Lunr/Gravity/Database/MySQL/MySQLConnection.php b/src/Lunr/Gravity/Database/MySQL/MySQLConnection.php
index 3c94b16facb35bbc3206bcd0b57813bfc6b8dc8b..683a5b07fd91e2201d5c3f08687f73e75eae2fe4 100644
--- a/src/Lunr/Gravity/Database/MySQL/MySQLConnection.php
+++ b/src/Lunr/Gravity/Database/MySQL/MySQLConnection.php
@@ -114,9 +114,9 @@ class MySQLConnection extends DatabaseConnection
     /**
      * Constructor.
      *
-     * @param Configuration   $configuration Shared instance of the configuration class
-     * @param LoggerInterface $logger        Shared instance of a logger class
-     * @param mysqli          $mysqli        Instance of the mysqli class
+     * @param Configuration $configuration Shared instance of the configuration class
+     * @param Logger        $logger        Shared instance of a logger class
+     * @param mysqli        $mysqli        Instance of the mysqli class
      */
     public function __construct($configuration, $logger, $mysqli)
     {
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/AbstractMySQLDatabaseAccessObjectTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/AbstractMySQLDatabaseAccessObjectTest.php
index 525ae03e61ee5e8f2e5290c21d41e1a520c8371b..4fbd298149c4c7300d5492b9b5abc22946a09962 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/AbstractMySQLDatabaseAccessObjectTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/AbstractMySQLDatabaseAccessObjectTest.php
@@ -30,7 +30,7 @@ abstract class AbstractMySQLDatabaseAccessObjectTest extends LunrBaseTest
 
     /**
      * Mock instance of the Logger class
-     * @var \Psr\Log\LoggerInterface
+     * @var \Monolog\Logger
      */
     protected $logger;
 
@@ -73,7 +73,7 @@ abstract class AbstractMySQLDatabaseAccessObjectTest extends LunrBaseTest
                              ->disableOriginalConstructor()
                              ->getMock();
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')->getMock();
 
         $this->db->expects($this->at(0))
                  ->method('get_query_escaper_object')
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/MySQLDatabaseAccessObjectTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/MySQLDatabaseAccessObjectTest.php
index 9445e6f875b6214d12dd9757f6fd4374ab4d6f8e..76429e9b81bb63f61d643e4619667d3dbcce44b5 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/MySQLDatabaseAccessObjectTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/Helpers/MySQLDatabaseAccessObjectTest.php
@@ -30,7 +30,7 @@ abstract class MySQLDatabaseAccessObjectTest extends LunrBaseTest
 
     /**
      * Mock instance of the Logger class
-     * @var \Psr\Log\LoggerInterface
+     * @var \Monolog\Logger
      */
     protected $logger;
 
@@ -73,7 +73,7 @@ abstract class MySQLDatabaseAccessObjectTest extends LunrBaseTest
                              ->disableOriginalConstructor()
                              ->getMock();
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')->getMock();
 
         $this->db->expects($this->at(0))
                  ->method('get_query_escaper_object')
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionTest.php
index f715f4945542779281474f9b2cb310bc682cd748..48034498aa64a6b5f854bf4fd04b72debb19c42e 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLConnectionTest.php
@@ -40,7 +40,7 @@ abstract class MySQLConnectionTest extends LunrBaseTest
 
     /**
      * Mock instance of the Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -69,7 +69,9 @@ abstract class MySQLConnectionTest extends LunrBaseTest
                             ->method('offsetGet')
                             ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->mysqli = $this->getMockBuilder('\mysqli')->getMock();
 
@@ -107,7 +109,9 @@ abstract class MySQLConnectionTest extends LunrBaseTest
                                 ->method('offsetGet')
                                 ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->mysqli = $this->getMockBuilder('\mysqli')->getMock();
 
diff --git a/src/Lunr/Gravity/Database/SQLite3/SQLite3Connection.php b/src/Lunr/Gravity/Database/SQLite3/SQLite3Connection.php
index 2344009b53f374f0cc1f38436393ea48626fd129..e3cf9b11a29553ec23c5310c0246b5b40ee0e31c 100644
--- a/src/Lunr/Gravity/Database/SQLite3/SQLite3Connection.php
+++ b/src/Lunr/Gravity/Database/SQLite3/SQLite3Connection.php
@@ -38,9 +38,9 @@ class SQLite3Connection extends DatabaseConnection
     /**
      * Constructor.
      *
-     * @param Configuration   $configuration Shared instance of the configuration class
-     * @param LoggerInterface $logger        Shared instance of a logger class
-     * @param LunrSQLite3     $sqlite3       Instance of the LunrSQLite3 class
+     * @param Configuration $configuration Shared instance of the configuration class
+     * @param Logger        $logger        Shared instance of a logger class
+     * @param LunrSQLite3   $sqlite3       Instance of the LunrSQLite3 class
      */
     public function __construct($configuration, $logger, $sqlite3)
     {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3ConnectionTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3ConnectionTest.php
index 3d7bd3b02c4b7ee9ce5bb9d50d94c2b993e9b197..4645cf0aad17b074820862cf4f819060972e9d77 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3ConnectionTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3ConnectionTest.php
@@ -29,7 +29,7 @@ abstract class SQLite3ConnectionTest extends LunrBaseTest
 
     /**
      * Mock instance of the Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -69,7 +69,9 @@ abstract class SQLite3ConnectionTest extends LunrBaseTest
                             ->method('offsetGet')
                             ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->sqlite3 = $this->getMockBuilder('Lunr\Gravity\Database\SQLite3\LunrSQLite3')->getMock();
 
@@ -114,7 +116,9 @@ abstract class SQLite3ConnectionTest extends LunrBaseTest
                                 ->with($this->equalTo('file'))
                                 ->will($this->returnValue(TRUE));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->sqlite3 = $this->getMockBuilder('Lunr\Gravity\Database\SQLite3\LunrSQLite3')->getMock();
 
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
index f179f0bd2aaeed2739f5feb49780813f50b5a03b..033f9654bcbcaf0d7bed25f03b437fd44e89776a 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
@@ -64,7 +64,9 @@ abstract class DatabaseAccessObjectTest extends PHPUnit_Framework_TestCase
     {
         $this->pool = NULL;
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->db = $this->getMockBuilder('Lunr\Gravity\Database\MySQL\MySQLConnection')
                          ->disableOriginalConstructor()
@@ -96,7 +98,9 @@ abstract class DatabaseAccessObjectTest extends PHPUnit_Framework_TestCase
                            ->disableOriginalConstructor()
                            ->getMock();
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->db = $this->getMockBuilder('Lunr\Gravity\Database\MySQL\MySQLConnection')
                          ->disableOriginalConstructor()
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolBaseTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolBaseTest.php
index 27e144f07e503c209593116bdc528f3aa6ee9e0b..4880cb792f269c2be2125ae2bec0bbeb3594b53f 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolBaseTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolBaseTest.php
@@ -55,7 +55,7 @@ class DatabaseConnectionPoolBaseTest extends DatabaseConnectionPoolTest
 
         $value = $property->getValue($this->pool);
 
-        $this->assertInstanceOf('Psr\Log\LoggerInterface', $value);
+        $this->assertInstanceOf('Monolog\Logger', $value);
         $this->assertSame($this->logger, $value);
     }
 
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
index 6f639dcac50bcfd0258e216fa12bf9178a7ab29a..971ae2fed8ae27f1b77f87eaefe5062742df795f 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
@@ -52,7 +52,7 @@ abstract class DatabaseConnectionPoolTest extends PHPUnit_Framework_TestCase
 
     /**
      * Mock instance of a Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -75,7 +75,9 @@ abstract class DatabaseConnectionPoolTest extends PHPUnit_Framework_TestCase
                       ->method('offsetGet')
                       ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->pool = new DatabaseConnectionPool($this->configuration, $this->logger);
 
@@ -113,7 +115,9 @@ abstract class DatabaseConnectionPoolTest extends PHPUnit_Framework_TestCase
                       ->method('offsetGet')
                       ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->pool = new DatabaseConnectionPool($this->configuration, $this->logger);
 
@@ -151,7 +155,9 @@ abstract class DatabaseConnectionPoolTest extends PHPUnit_Framework_TestCase
                       ->method('offsetGet')
                       ->will($this->returnValueMap($map));
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->pool = new DatabaseConnectionPool($this->configuration, $this->logger);
 
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionTest.php
index 3c9a24489ddcf01dcd77546e8fb25ac0d49780ab..0feae8119dfa07c5ed2d24d4db408fe29ac8cd11 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionTest.php
@@ -33,7 +33,7 @@ abstract class DatabaseConnectionTest extends LunrBaseTest
 
     /**
      * Mock instance of a Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -44,7 +44,9 @@ abstract class DatabaseConnectionTest extends LunrBaseTest
     {
         $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
-        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger = $this->getMockBuilder('Monolog\Logger')
+                             ->disableOriginalConstructor()
+                             ->getMock();
 
         $this->class = $this->getMockBuilder('Lunr\Gravity\Database\DatabaseConnection')
                             ->setConstructorArgs(array(&$this->configuration, &$this->logger))
diff --git a/src/Lunr/Gravity/Filesystem/PhysicalFilesystemAccessObject.php b/src/Lunr/Gravity/Filesystem/PhysicalFilesystemAccessObject.php
index d60a9e908bdc4d015b0215c9d02ea6c21eee63bb..c6068f8e66e818f2aadec28d31ebe8d16050d823 100644
--- a/src/Lunr/Gravity/Filesystem/PhysicalFilesystemAccessObject.php
+++ b/src/Lunr/Gravity/Filesystem/PhysicalFilesystemAccessObject.php
@@ -34,14 +34,14 @@ class PhysicalFilesystemAccessObject implements DataAccessObjectInterface, Files
 
     /**
      * Shared instance of a Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
     /**
      * Constructor.
      *
-     * @param LoggerInterface $logger Shared instance of a Logger.
+     * @param Logger $logger Shared instance of a Logger.
      */
     public function __construct($logger)
     {
diff --git a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectTest.php b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectTest.php
index 1f061e7c4ee0d0127466df335ec7740b9ca6df45..da732877ae28efa2c7f4ac5a26fec35fd2480245 100644
--- a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectTest.php
+++ b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectTest.php
@@ -15,7 +15,7 @@
 namespace Lunr\Gravity\Filesystem\Tests;
 
 use Lunr\Gravity\Filesystem\PhysicalFilesystemAccessObject;
-use Psr\Log\LoggerInterface;
+use Monolog\Logger;
 use Lunr\Halo\LunrBaseTest;
 use ReflectionClass;
 use stdClass;
@@ -31,7 +31,7 @@ abstract class PhysicalFilesystemAccessObjectTest extends LunrBaseTest
 
     /**
      * Mock instance of a Logger class.
-     * @var LoggerInterface
+     * @var Logger
      */
     protected $logger;
 
@@ -46,7 +46,9 @@ abstract class PhysicalFilesystemAccessObjectTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->logger        = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->logger        = $this->getMockBuilder('Monolog\Logger')
+                                    ->disableOriginalConstructor()
+                                    ->getMock();
         $this->class         = new PhysicalFilesystemAccessObject($this->logger);
         $this->reflection    = new ReflectionClass('Lunr\Gravity\Filesystem\PhysicalFilesystemAccessObject');
         $this->find_location = TEST_STATICS . '/Gravity';
